/*
 * wysmod - main.c
 * 	version 0.0.0
 * 
 * Copyright (C) 2005..2009  Krzysztof Mazur <krzysiek@podlesie.net>
 * Copyright (C) 2005..2008  Marek Piwoski <marek@microster.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <tmos/kernel.h>
#include <tmos/console.h>
#include "display.h"

void init_screen(void)
{
	code static uint8_t scr[] =
		WYSMOD_VERSION
		"   BRAK TRANSMISJI  ";

	lcd_put(scr);
}

void app_main(void) REENTRANT
{
	switch (MODE) {
#ifdef CONFIG_WYSMOD_WYSMOD
	case MODE_WYSMOD:
		wysmod();
#endif
#ifdef CONFIG_WYSMOD_WYDAL
	case MODE_WYDAL:
		wydal();
#endif
#ifdef CONFIG_WYSMOD_WYSREJ
	case MODE_WYSREJ:
		wysrej();
#endif
	}
}
