/*
 * tmos - serial.c
 * 	version 0.0.0
 *
 * 	Userspace access to serial
 * 
 * Copyright (C) 2005..2009  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <tmos/kernel.h>
#include <serial.h>
#include <tmos/serial.h>

char ser_read(uint8_t __user *buf, char len) REENTRANT
{
	char ret;

	kernel_enter();
	ret = ser_rx_user(buf, len);
	kernel_exit();
	return ret;
}

char ser_write(uint8_t __user *buf, char len) REENTRANT
{
	kernel_enter();
	ser_tx_user(buf, len);
	kernel_exit();
	return len;
}
